Description

Per CDV country comments CH_63, NO56 & SE60 for 301 Ed7:
The use case related to attributes ShuntCompensator.switchOnCount and switchOnDate shall be clarified.

- Is it only related to capacitor or also for shunt?
- Is it necessary to have this attributes or they can deprecated?

Note that such attributes are present on Switch, but not on a TapChanger. On the Switch the Fuse is also inheriting switchOnCount
which should eventually be only 1.

Proposed Solution

It was confirmed that these attributes are not in use by the 400 series profiles. Therefore, WG13 flagged these attributes on
ShuntCompensator and Switch as deprecated in CIM17.

The follow on action is for these to be removed from CIM18.

However, before doing so a review with WG14 is necessary as we believe that the profiles for Asset Management may be using
these attributes. They should not be removed or deprecated until reviewed by WG14.

Decision

14-Jan-2020 Decision to apply the proposed resolution when revving to CIM18
26-Aug-2020 Second review performed.

06-Jul-2021 It was confirmed with WG14 Part teams that these attributes are not in use and can be removed outright.

Release Notes

The attributes switchOnCount and switchOnDate on the ShuntCompensator and Switch classes were flagged as deprecated
in CIM17 and were removed now from CIM18. It was confirmed that these attributes are not in use in the IEC 61970-45x series
standards nor in the IEC 61968 Part 3-9 series of standards.

History

#1 - 10/21/2021 11:37 AM - Todd Viegut
- Subject changed from Per CDV country comments CH_63, NO56 & SE60 for 301 Ed7:

T to Per CDV country comments CH_63, NO56 & SE60 for 301 Ed7:T

- Solution Version changed from CIM18 to CIM18v00

- Proposed Solution updated

- Breaking Change changed from No to Yes

- Breaking Change Description set to Existing attributes that were declared deprecated in the prior release have been removed

- Decision updated

#2 - 10/21/2021 11:40 AM - Todd Viegut

- Subject changed from Per CDV country comments CH_63, NO56 & SE60 for 301 Ed7:T to Remove deprecated attributes from ShuntCompensator
and Switch classes

- Solution Applied By set to Todd Viegut
- Standard(s) set to 61970-301

#3 - 10/21/2021 12:01 PM - Todd Viegut
- Solution to be Applied To changed from 61970cim18 to CIM18

#4 - 10/21/2021 12:52 PM - Todd Viegut
- Breaking Change Description changed from Existing attributes that were declared deprecated in the prior release have been removed to Existing

attributes that were declared deprecated in CIM17 have been removed

#8 - 10/22/2021 02:35 PM - Todd Viegut

- Release Notes updated
